Package org.eclipse.draw2d

# Class EllipseAnchor

java.lang.Object
org.eclipse.draw2d.ConnectionAnchorBase
org.eclipse.draw2d.AbstractConnectionAnchor
org.eclipse.draw2d.EllipseAnchor

All Implemented Interfaces:
  `AncestorListener`, `ConnectionAnchor`

public class EllipseAnchor extends AbstractConnectionAnchor
Similar to a `ChopboxAnchor`, except this anchor is located on the ellipse defined by the owners bounding box.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`AncestorListener.Stub`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.ConnectionAnchorBase

`listeners`

## Constructor Summary

Constructors
Constructor
Description
`EllipseAnchor()`
`EllipseAnchor(IFigure owner)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Returns `true` if the other anchor is an EllipseAnchor with the same owner.
`Point`
`getLocation(Point reference)`
Returns a point on the ellipse (defined by the owner's bounding box) where the connection should be anchored.
`int`
`hashCode()`
The owning figure's hashcode is used since equality is approximately based on the owner.

### Methods inherited from class org.eclipse.draw2d.AbstractConnectionAnchor

`addAnchorListener, ancestorAdded, ancestorMoved, ancestorRemoved, getOwner, getReferencePoint, removeAnchorListener, setOwner`

### Methods inherited from class org.eclipse.draw2d.ConnectionAnchorBase

`fireAnchorMoved`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EllipseAnchor

public EllipseAnchor()

See Also:
  - `AbstractConnectionAnchor()`

### EllipseAnchor

public EllipseAnchor(IFigure owner)

See Also:
  - `AbstractConnectionAnchor(IFigure)`

## Method Details

### getLocation

public Point getLocation(Point reference)
Returns a point on the ellipse (defined by the owner's bounding box) where the connection should be anchored.

Parameters:
  `reference` - The reference Point in absolute coordinates
Returns:
  The anchor's location
See Also:
  - `ConnectionAnchor.getLocation(Point)`

### equals

public boolean equals(Object o)
Returns `true` if the other anchor is an EllipseAnchor with the same owner.

Overrides:
  `equals` in class `Object`
Parameters:
  `o` - the other anchor
Returns:
  `true` if equal

### hashCode

public int hashCode()
The owning figure's hashcode is used since equality is approximately based on the owner.

Overrides:
  `hashCode` in class `Object`
Returns:
  the hash code.